##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################
__doc__='''Generic Database Adapter Package Registration

$Id: __init__.py,v 1.10 2005/01/21 10:36:48 nakagami Exp $'''
__version__='$Revision: 1.10 $'[11:-2]

import Globals, os

classes=('DA.Connection',)
database_type='KInterbasdb'

class KInterbasdbError(Exception):
    pass

class QueryError(KInterbasdbError):
    pass

misc_={'conn':
       Globals.ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif')}

for icon in ('table', 'view', 'stable', 'what',
             'field', 'text','bin','int','float',
             'date','time','datetime', 'generator', 
             'procedure', 'trigger', 'trigger_inactive', 
             'key_primary', 'key_foreign', 'key', 'index', 'check'):
    misc_[icon]=Globals.ImageFile('icons/%s.gif' % icon, globals())

meta_types=(
    {'name':'Z %s Database Connection' % database_type,
     'action':'manage_addZ%sConnectionForm' % database_type,
     },
    )

DA=None
def getDA():
    global DA
    if DA is None:
        import DA
    return DA

getDA()

__module_aliases__=(
    ('Products.AqueductKInterbasdb.DA', DA),
    )

def manage_addZKInterbasdbConnectionForm(self, REQUEST, *args, **kw):
    " "
    DA=getDA()
    return DA.addConnectionForm(
        self, self, REQUEST,
        database_type=database_type)

def manage_addZKInterbasdbConnection(
    self, id, title, connection, check=None, REQUEST=None):
    " "
    return getDA().manage_addZKInterbasdbConnection(
        self, id, title, connection, check, REQUEST)

methods={
    'manage_addZKInterbasdbConnection':
    manage_addZKInterbasdbConnection,
    'manage_addZKInterbasdbConnectionForm':
    manage_addZKInterbasdbConnectionForm,
    }

__ac_permissions__=(
    ('Add Z KInterbasdb Database Connections',
     ('manage_addZKInterbasdbConnectionForm',
      'manage_addZKInterbasdbConnection')),
    )


